/*
 * Copyright (c) 2016 by ELECTRONIC ASSEMBLY <technik@lcd-module.de>
 * PCT2075 library for arduino.
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of either the GNU General Public License version 2
 * or the GNU Lesser General Public License version 2.1, both as
 * published by the Free Software Foundation.
 */

#ifndef PCT2075_H
#define PCT2075_H

#define PCT_ADR (0x92>>1)

#define MAXPOINTS 500
#define LOWTEMP (-20)

typedef struct
{
  unsigned int ei;
  unsigned long start_time;
  unsigned long last_time;
  unsigned char intervall;
  unsigned char temp[MAXPOINTS];
}TEMPLOG;

class PCT2075
{
  private:
    TEMPLOG temp_log;
    char *str;		
  public:
    void initialize   (char *str);
    float readf       (void);
    unsigned char  read        (void);
    char *printTemp(void); 
    char *printTemp(unsigned char temperature);
    char *printTemp(unsigned char temperature, unsigned char index);
    char *printTempf(int places);
    char *printTempTime(unsigned int index);
    char *setupLog(unsigned char intervall);
    void startLog(unsigned char hour, unsigned char min, unsigned char sec);
    void storeTemp(unsigned char hour, unsigned char min, unsigned char sec);
    unsigned char *getLog(unsigned int *ei);
};

#endif
